Subject: Re: draft-ietf-ospf-graceful-impl-report-00.txt

From: Acee Lindem <[email-masked]>
Date: Thu, 4 Dec 2003 13:01:38 -0500

Oliver Carter wrote:

>Acee,
>
>Thanks for publishing this draft.  I have a question about section 2.1 3rd
>Para of it.
>
><SNIP>
>The final difference was in whether or not additional extensions were
>implemented to accommodate other features such as protocol redistribution or
>interaction with MPLS VPNs [VPN]. Two vendors implemented extensions and
>three did not. It should be noted that such extensions are beyond the scope
>of Graceful OSPF Restart [GRACE].
></SNIP>
>
>Do you know what additional extensions were implemented?  What are the
>issues with running Graceful OSPF restart in an MPLS VPN scenario?
>
Yes - additional delays need to be added before purging stale LSAs after
restart. In essence, you have
to wait until your BGP has converged to assure you've received all your
VPN routes.

>
>Regards
>
>Oli
>
>P.S. I couldn't find anything related to this on the OSPF or L3VPN mailing
>lists - feel free to point me at previous posts if this has been discussed
>before.
>
>
>
>

---

From: Acee Lindem <[email-masked]>
Date: Thu, 4 Dec 2003 13:17:31 -0500

> to wait until your BGP has converged to assure you've received all your

Note that the reason this is needed is that BGP has been restarted as
well (as would
be the case in many redundant control processor implementations).

Thanks,
Acee